#if !defined(AFX_BUTTONICON_H__96A59F11_138A_4A2B_8CA4_CA561B212D33__INCLUDED_)
#define AFX_BUTTONICON_H__96A59F11_138A_4A2B_8CA4_CA561B212D33__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class ButtonIcon  
{
public:
	ButtonIcon(const string &name);
	virtual ~ButtonIcon();

	void configure(const string &name);
	void apply(HDC hDC, int x, int y, int width, int height, int buttonType, HICON hIcon);

private:

	string defaulticonX;
	string defaulticonY;
	int defaulticonSize;

	int defaulticon_saturation;
	int defaulticon_hueintensity;
	COLORREF defaulticon_huecolor;

	string normaliconX;
	string normaliconY;
	int normaliconSize;

	int normalicon_saturation;
	int normalicon_hueintensity;
	COLORREF normalicon_huecolor;

	string activeiconX;
	string activeiconY;
	int activeiconSize;

	int activeicon_saturation;
	int activeicon_hueintensity;
	COLORREF activeicon_huecolor;

	string minimizediconX;
	string minimizediconY;
	int minimizediconSize;

	int minimizedicon_saturation;
	int minimizedicon_hueintensity;
	COLORREF minimizedicon_huecolor;

	string flashingiconX;
	string flashingiconY;
	int flashingiconSize;

	int flashingicon_saturation;
	int flashingicon_hueintensity;
	COLORREF flashingicon_huecolor;
};

#endif // !defined(AFX_BUTTONICON_H__96A59F11_138A_4A2B_8CA4_CA561B212D33__INCLUDED_)
